import { sveltekit } from '@sveltejs/kit/vite';
import { svelte } from '@sveltejs/vite-plugin-svelte';

/** @type {import('vite').UserConfig} */
const config = {
	plugins: [svelte()],
	test: {
		include: ['src/**/*.{test,spec}.{js,ts}'],
		environment: 'jsdom',
	},
	resolve: {
		alias: {
			$lib:
				import.meta.url.replace('file://', '').replace(/[^/]+$/, '') +
				'src/lib',
		},
	},
};

export default config;
